import request from '@/utils/request'
// 获取首页信息
export function loadIndexs(data) {
	return request({
		url: '/api/index/index',
		method: 'get',
		data
	});
}

// 报单计算
export function orderCalculator(data) {
	return request({
		url: '/api/order/orderCalculator',
		method: 'post',
		data
	});
}

// 生成报单
export function creatorOrder(data) {
	return request({
		url: '/api/order/order',
		method: 'post',
		data
	});
}

// 报单支付
export function payOrder(id,data) {
	return request({
		url: `/api/order/pay/id/${id}`,
		method: 'post',
		data
	});
}

// 閃兌
export function exchange(data) {
	return request({
		url: `/api/user/exchange`,
		method: 'post',
		data
	});
}

// 推薦人列表
export function spreadList(data) {
	return request({
		url: '/api/user/spreadList',
		method: 'get',
		data
	});
}

// 轉賬
export function trade(data) {
	return request({
		url: `/api/user/trade`,
		method: 'post',
		data
	});
}
// 交易記錄
export function moneyLog(data) {
	return request({
		url: '/api/user/getTokenLog',
		method: 'get',
		data
	});
}

// 提現
export function gameWallet(data) {
	return request({
		url: '/api/user/gameWallet',
		method: 'post',
		data
	});
}
// 提幣計算
export function extractCalculator(data) {
	return request({
		url: '/api/user/extractCalculator',
		method: 'post',
		data
	});
}
// 提幣
export function extract(data) {
	return request({
		url: '/api/user/extract',
		method: 'post',
		data
	});
}

// 报单计算
export function pointCalculator(data) {
	return request({
		url: '/api/point/orderCalculator',
		method: 'post',
		data
	});
}

// 生成报单
export function creatorPoint(data) {
	return request({
		url: '/api/point/order',
		method: 'post',
		data
	});
}

// 报单支付
export function payPoint(id,data) {
	return request({
		url: `/api/point/pay/id/${id}`,
		method: 'post',
		data
	});
}


// 節點記錄
export function myList(data) {
	return request({
		url: `/api/point/myList`,
		method: 'get',
		data
	});
}







